Method: projects.locations.validations.validationResources.get

Gets the details of a specific ValidationResource. This field shows a resource that was flagged as potentially affected by the Action defined in the parent Validation.

HTTP request

GET https://faulttesting.googleapis.com/v1alpha/{name=projects/*/locations/*/validations/*/validationResources/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the validation resource to retrieve. Format: projects/{projectId}/locations/{location}/validations/{validationId}/validationResources/{validationResourceId}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ValidationResource.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • faulttesting.validationResources.get

For more information, see the IAM documentation.